petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawArrow

PetscDraws a line with arrow head at end if the line is long enough

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawArrow(PetscDraw draw,PetscReal xl,PetscReal yl,PetscReal xr,PetscReal yr,int cl)

Not collective

### Input Parameters

| draw | - the drawing context
| xl,yl,xr,yr | - the coordinates of the line endpoints
| cl | - the colors of the endpoints

### See Also

PetscDrawLine(), PetscDrawLineSetWidth(), PetscDrawLineGetWidth(), PetscDrawRectangle(), PetscDrawTriangle(), PetscDrawEllipse(),
PetscDrawMarker(), PetscDrawPoint()

### Level

beginner

### Location

src/sys/classes/draw/interface/dline.c

### Implementations

PetscDrawArrow_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawArrow_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawArrow_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages